continuum-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From eveni...@apache.org
Subject svn commit: r499418 - /maven/continuum/trunk/ci_continuum.sh
Date Wed, 24 Jan 2007 14:31:23 GMT
Author: evenisse
Date: Wed Jan 24 06:31:22 2007
New Revision: 499418

URL: http://svn.apache.org/viewvc?view=rev&rev=499418
Log: (empty)

Modified:
    maven/continuum/trunk/ci_continuum.sh

Modified: maven/continuum/trunk/ci_continuum.sh
URL: http://svn.apache.org/viewvc/maven/continuum/trunk/ci_continuum.sh?view=diff&rev=499418&r1=499417&r2=499418
==============================================================================
--- maven/continuum/trunk/ci_continuum.sh (original)
+++ maven/continuum/trunk/ci_continuum.sh Wed Jan 24 06:31:22 2007
@@ -36,7 +36,8 @@
 WWW=$HOME/public_html
 DEPLOY_DIR=$WWW/builds/trunk
 DEPLOY_SITE=http://maven.zones.apache.org/~continuum/builds/trunk
-DIST=continuum-${TIMESTAMP}.war
+DIST_WAR=continuum-${TIMESTAMP}.war
+DIST_APP=continuum-${TIMESTAMP}.tar.gz
 SVN=svn
 
 M2_HOME=$HOME_DIR/maven-2.0
@@ -141,7 +142,7 @@
     # Only created on success
 
     echo
-    echo "Creating continuum distribution for public consumption: ${DEPLOY_SITE}/${DIST}"
+    echo "Creating continuum distribution for public consumption: ${DEPLOY_SITE}/${DIST_WAR}"
     echo
 
     mkdir -p $DEPLOY_DIR > /dev/null 2>&1
@@ -149,7 +150,18 @@
     (
       cd $DIR/continuum/continuum-webapp
 
-      mv target/continuum*.war $DEPLOY_DIR/$DIST
+      mv target/continuum*.war $DEPLOY_DIR/$DIST_WAR
+    )
+    ret=$?; if [ $ret != 0 ]; then exit $ret; fi
+
+    echo
+    echo "Creating continuum distribution for public consumption: ${DEPLOY_SITE}/${DIST_APP}"
+    echo
+
+    (
+      cd $DIR/continuum/continuum-plexus-runtime
+
+      mv target/continuum*.war $DEPLOY_DIR/$DIST_APP
     )
     ret=$?; if [ $ret != 0 ]; then exit $ret; fi
 
@@ -181,7 +193,8 @@
     echo "Subject: [continuum build trunk - SUCCESS - $CMD] $DATE" >> log
     echo "" >> log
     echo "Distribution:" >> log
-    echo "${DEPLOY_SITE}/${DIST}" >>log
+    echo "War: ${DEPLOY_SITE}/${DIST_WAR}" >>log
+    echo "Standalone app: ${DEPLOY_SITE}/${DIST_APP}" >>log
     rm $HOME_DIR/build_required
   fi
   echo "" >> log



Mime
View raw message